org.gradle.api.plugins

## Class ReportingBasePluginConvention

- java.lang.Object
- - org.gradle.api.plugins.ReportingBasePluginConvention

- Deprecated.
  This convention has been deprecated and replaced by `ReportingExtension`

      @Deprecated
      public class ReportingBasePluginConvention
      extends Object

  A `BasePluginConvention` defines the convention properties and methods used by the `ReportingBasePlugin`.

  This convention has been deprecated. Use the reporting extension instead:

       reporting {
           baseDir "the-reports"
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportingBasePluginConvention(org.gradle.api.internal.project.ProjectInternal project, ReportingExtension extension)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApiDocTitle()` Deprecated. use `ReportingExtension.getApiDocTitle()`
    `File` | `getReportsDir()` Deprecated. use `ReportingExtension.getBaseDir()`
    `String` | `getReportsDirName()` Deprecated. use `ReportingExtension.getBaseDir()`
    `void` | `setReportsDirName(String reportsDirName)` Deprecated. use `ReportingExtension.setBaseDir(Object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportingBasePluginConvention

          public ReportingBasePluginConvention(org.gradle.api.internal.project.ProjectInternal project,
                                       ReportingExtension extension)

      Deprecated.

  - ### Method Detail

    - #### getReportsDirName

          @Deprecated
          public String getReportsDirName()

      Deprecated. use `ReportingExtension.getBaseDir()`
      Returns the name of the reports directory, relative to the project's build directory.
      Returns:
        The reports directory name. Never returns null.

    - #### setReportsDirName

          @Deprecated
          public void setReportsDirName(String reportsDirName)

      Deprecated. use `ReportingExtension.setBaseDir(Object)`
      Sets the name of the reports directory, relative to the project's build directory.
      Parameters:
        `reportsDirName` - The reports directory name. Should not be null.

    - #### getReportsDir

          @Deprecated
          public File getReportsDir()

      Deprecated. use `ReportingExtension.getBaseDir()`
      Returns the directory containing all reports for this project.
      Returns:
        The reports directory. Never returns null.

    - #### getApiDocTitle

          @Deprecated
          public String getApiDocTitle()

      Deprecated. use `ReportingExtension.getApiDocTitle()`
      Returns the title for API documentation for the project.
      Returns:
        The title. Never returns null.